import request from '@/utils/request'

// 查询入场检验列表
export function listEntranceInspection(query) {
  return request({
    url: '/app/entranceInspection/list',
    method: 'get',
    params: query
  })
}

// 查询入场检验详细
export function getEntranceInspection(id) {
  return request({
    url: '/app/entranceInspection/' + id,
    method: 'get'
  })
}

// 新增入场检验
export function addEntranceInspection(data) {
  return request({
    url: '/app/entranceInspection',
    method: 'post',
    data: data
  })
}

// 修改入场检验
export function updateEntranceInspection(data) {
  return request({
    url: '/app/entranceInspection',
    method: 'put',
    data: data
  })
}

// 删除入场检验
export function delEntranceInspection(id) {
  return request({
    url: '/app/entranceInspection/' + id,
    method: 'delete'
  })
}
